--[[
	限时充值的数据模块
]]

DataEveryDayRecharge = {}

local s_everyDayRechargeState = 0
local s_everyDayRechargeNum = 0
local s_IsRecharge = false
local s_IsRewarList = false
local s_infoData = nil
local s_infoDataNum = 0
local s_rewardData = nil
local s_rewardDataNum = 0
local s_commandId = -1

local s_IsVisible = false
local s_IsReward = false

local function updateEveryDayRecharge( allData )
	if (allData) then
		s_everyDayRechargeState = allData.tehuiStatus
		s_everyDayRechargeNum = allData.tehuiNumbers
		if(allData.sendStatus==1)then
			s_IsRewarList = true
		else
			s_IsRewarList = false
		end
		if(allData.dailyStatus==1)then
			s_IsRecharge = true
		else
			s_IsRecharge = false
		end
		s_commandId = allData.commandId
		s_infoData = {}
		s_rewardData = {}
		if (s_everyDayRechargeState==1) then
			s_IsVisible = true
			if (s_commandId~=-1 or (not s_IsRecharge)) then
				s_IsReward = true
			else
				s_IsReward = false
			end
		else
			s_IsVisible = false
		end

		s_infoDataNum = table.nums(allData.rewardList)
		for i, data in ipairs(allData.rewardList) do  
		    table.insert(s_infoData, data)
		end 

		s_rewardDataNum = table.nums(allData.sendList)
		for i, reward in ipairs(allData.sendList) do  
		    table.insert(s_rewardData, reward)
		end 
	end
end

function DataEveryDayRecharge.init( allData )
	updateEveryDayRecharge(allData)
end

function DataEveryDayRecharge.update( allData )
	updateEveryDayRecharge(allData)
end

function DataEveryDayRecharge.getCommandId()
	return s_commandId
end

function DataEveryDayRecharge.getRechargeNum()
	return s_everyDayRechargeNum
end

function DataEveryDayRecharge.InfoDataNum()
	return s_infoDataNum
end

function DataEveryDayRecharge.RewardListNum()
	return s_rewardDataNum
end

function DataEveryDayRecharge.IsRewarList()
	return s_IsRewarList
end

function DataEveryDayRecharge.IsRecharge()
	return s_IsRecharge
end

function DataEveryDayRecharge.SetRechargeTrue(isRecharge)
	s_IsRecharge = isRecharge
end

function DataEveryDayRecharge.IsVisible()
	return s_IsVisible
end

function DataEveryDayRecharge.IsReward()
	if(s_IsRewarList)then
		return s_IsRewarList
	else
		return s_IsReward
	end
end

function DataEveryDayRecharge.getEveryDayInfo( index )
	return s_infoData[index]
end

function DataEveryDayRecharge.getRewardList( index )
	return s_rewardData[index]
end

function DataEveryDayRecharge_IsRecharge()
	return s_IsRecharge
end

function DataEveryDayRecharge_IsVisibleIcon()
	return s_IsReward
end