local CreditsView = class("CreditsView", require("BaseView"))

local _super = CreditsView.super

local NEButtonData = AppData.NEButtonData

function CreditsView:ctor(parent)
	_super.ctor(self, "ui_shouchong", true)
    print("CreditsView:ctor")
    self:setNeedMask(parent, true)
    self:createBackground(VIEW_BACKGROUND_NO_COLOR, true)
    self:setName("CreditsView")
    self:initView()
end

function CreditsView:dtor()
    _super.dtor(self)
    print("CreditsView:dtor")
end

function CreditsView:initView()
    local nodes = self.m_nodes
    local data = self.m_data

    if self.m_rootNode then
    	self.m_rootNode:setPosition(cc.p(winSize.width / 2 , winSize.height / 2))
    end

    setNEButtonCallBack(nodes.btnClose, NEBattleEvent.NEButtonEventTouchUpInside, closeSelf)
end

function CreditsView:refresh( messageType, data )
end

return CreditsView
