--[[
	网络请求数据处理和分发
]]

local NetRequestManager = class("DataFeeReward")

local s_instance = nil

-- 获取单例对象
function NetRequestManager.getInstance()
	if (s_instance == nil) then
		s_instance = NetRequestManager.new()
	end
	return s_instance
end

-- 构造函数
function NetRequestManager:ctor()
	--self.testJson()
end

-- 析构函数
function NetRequestManager:dtor()

end



function NetRequestManager:testJson()
	print("testJson")
	local COWDataDownAllFeeData = {}

	ResourceRewardLogList = {} --奖励列表
	PlayerFeeData = {feeDiamond = 100,curRewardStep = 1}
	COWDataDownAllFeeData["ResourceRewardLogList"] = ResourceRewardLogList
	COWDataDownAllFeeData["PlayerFeeData"] = PlayerFeeData

	for i=1,10 do
		COWOneFeeReward = {}
		COWOneFeeReward["step"] = i
		COWOneFeeReward["diamond"] = 100 * i
		--COWOneFeeReward[reward] = { 1 = {"type" = 1,"extraType" = 0,"num" = i * 100}, 2 = { "type" = 2,"extraType" = 0,"num" = i * 100} }

		COWOneFeeReward["reward"] = {}
		for j=1,3 do
			COWOneFeeReward["reward"][j] = {type = 1,feeDiamond = 100,curRewardStep = 1}
		end
		ResourceRewardLogList[i] = COWOneFeeReward
	end

	allActivityData = {}

	allActivityData["COWDataDownAllFeeData"] = COWDataDownAllFeeData

	dataStr = json.encode(allActivityData)

	print(dataStr)

	dataTable = json.decode(dataStr)

	if dataTable["COWDataDownAllFeeData"] ~= nil then
		dataFeeReward:pauseAllData(dataTable["COWDataDownAllFeeData"])
		print("有数据")
	else
		print("无数据")
	end
end


return NetRequestManager