--[[
	专门负责重新加载热更的模块
	热更的文件已经通过调用接口unload过。
	这里通过重新加载管理模块，实现重新加载热更的文件
	只会在需要重新加载的时候require
	使用后立刻unload自己
	本文件也可以热更新
]]

print("begin unload")

--窗口管理器，SAApp中加载
--关联View对象
windowManager:dtor()
windowManager = nil
package.loaded["WindowsManager"] = nil


--其他热更文件关联的管理器，或者管理器本身的修改。


--重新加载模块管理类
package.loaded["SAApp"] = nil
require("SAApp")


--最后卸载自己，保证下次还能执行
package.loaded["Reloader"] = nil
