--[[
	活动的数据模块
]]

DataActivity = {}

local DATA_ACTIVITY_NAME = 
{
	"ui_huodong_left",
	"ui_huodong_left",
	"ui_huodong_left",
	"ui_huodong_left"
}

local DATA_ACTIVITY_TITLE = 
{
	"本周精选",
	"签到奖励",
	"新手体验大礼",
	"盛世兑换"
}

local s_actList = {}

function DataActivity.init( allData )
	local dataList = allData.activity

	if (dataList) then
		for i, data in ipairs(dataList) do
			local act = {}
			act.name = DATA_ACTIVITY_NAME[data.type]
			act.title = DATA_ACTIVITY_TITLE[data.type]
			act.tag = data.type
			act.timeLimit = data.timeLimit
			table.insert(s_actList, act)
		end
	end
end

function DataActivity.update( allData )
	s_actList = {}
	DataActivity.init(allData)
end

function DataActivity.getActCount()
	return #s_actList
end

function DataActivity.getActivity( index )
	return s_actList[index]
end