--[[
	限时充值的数据模块
]]

DataBindPhone = {}

local s_bindPhoneState = 0
local s_infoData = nil
local s_bindPhoneListNum = 0
local s_IsBindPhone = false

local function updateBindPhone( allData )
	if (allData) then
		s_bindPhoneState = allData.bindState
		s_infoData = {}

		local isOpenPhone = CPPInterfaceManager:DataPlayer_IsOpenPhoneBind()
    	if(isOpenPhone==false)then
    		s_bindPhoneState = 1
    	end
		if(s_bindPhoneState==0) then
			s_IsBindPhone = false
		else
			s_IsBindPhone = true
		end
		s_bindPhoneListNum = table.nums(allData.bindArray)
		for i, data in ipairs(allData.bindArray) do  
		    table.insert(s_infoData, data)
		end 
	end
end

function DataBindPhone.init( allData )
	updateBindPhone(allData)
end

function DataBindPhone.update( allData )
	updateBindPhone(allData)
end

function DataBindPhone.getbindPhoneListNum()
	return s_bindPhoneListNum
end

function DataBindPhone.getBindPhoneInfo( index )
	return s_infoData[index]
end

function DataBindPhone.bindState()
	return s_bindPhoneState
end

function DataBindPhone.IsVisible()
	return not s_IsBindPhone
end

function DataBindPhone_IsVisibleIcon()
	return not s_IsBindPhone
end
