--[[
	雇佣兵的数据模块
]]

DataMercenary = {}

local s_mercenaryId = 1
local s_mercenaryName = "loc6元礼包"
local s_recharge = 12
local s_armyType = 500
local s_armyTime = 3
local s_gem = 200
local s_itemType = 2
local s_itemNum = 7
local s_rechargeId = 10

local function updateMercenary( allData )
	if (allData) then
		s_mercenaryName = allData.namekey
		s_mercenaryId = allData.id
		s_recharge = allData.recharge
		s_armyType = allData.armyType
		s_armyTime = allData.armyTime
		s_gem = allData.gem
		s_itemType = allData.itemType
		s_itemNum = allData.itemNum
		s_rechargeId = allData.rechargeId
	end
end

function DataMercenary.init( allData )
	updateMercenary(allData)
end

function DataMercenary.getMercenaryId()
	return s_mercenaryId
end

function DataMercenary.getMercenaryName()
	return s_mercenaryName
end

function DataMercenary.getRecharge()
	return s_recharge
end

function DataMercenary.getArmyType()
	return s_armyType
end

function DataMercenary.getArmyTime()
	return s_armyTime
end

function DataMercenary.getGem()
	return s_gem
end

function DataMercenary.getItemType()
	return s_itemType
end

function DataMercenary.getItemNum()
	return s_itemNum
end

function DataMercenary.getRechargeId()
	return s_rechargeId
end
